Safe Haskell | Safe-Inferred

Examples

Synopsis

- fib :: Integer -> Integer

# Documentation

fib :: Integer -> Integer

Fibonacci number of given `Integer`.

Examples:

    >>> fib 5
    5
    >>> fib 10
    55

    >>> fib 10
    55

One more Example:

    >>> fib 5
    5

One more Example:

    >>> fib 5
    5

Example with an import:

    >>> import Data.Char
    >>> isSpace 'a'
    False

    >>> putStrLn "foo\n\nbar"
    foo

    bar